Summary: A multi-threaded FTP client for the X Window System.
Name: gftp
Version: 2.0.7b
Epoch: 1
Release: 3
License: GPL
Group: Applications/Internet
Url: http://gftp.seul.org/
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: gtk+ >= 1.2.0


%description
gFTP is a multi-threaded FTP client for the X Window System. gFTP
supports simultaneous downloads, resumption of interrupted file
transfers, file transfer queues to allow downloading of multiple
files, support for downloading entire directories/subdirectories, a
bookmarks menu to allow quick connection to FTP sites, caching of
remote directory listings, local and remote chmod, drag and drop, a
connection manager and much more.

Install gftp if you need an FTP client.  You'll also need to install
GTK+ 1.2.3 or higher and X11R6.

%prep
%setup -q

%build
%ifarch alpha
MIEEE_FLAG="-mieee"
%endif
CFLAGS="$RPM_OPT_FLAGS $MIEEE_FLAG" %configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/gnome/apps/Internet

%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT
 
%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog COPYING* README TODO 
%{_bindir}/gftp
%{_datadir}/gftp
%{_datadir}/gnome/apps/Internet/gftp.desktop
%{_datadir}/pixmaps/gftp.png
%{_mandir}/man1/gftp.1*

%changelog
* Tue Feb 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify
- don't try to include two non-existing files in %%doc
- move changelog to end of file

* Thu Aug 10 2000 Havoc Pennington <hp@redhat.com>
- Set Epoch, since upstream versions are not ascending

* Mon Aug 07 2000 Havoc Pennington <hp@redhat.com>
- 2.0.7b, should fix outstanding bugs

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- Update to 2.0.7pre3, and build for Winston

* Fri Feb 11 2000 Elliot Lee <sopwith@redhat.com>
- Add -mieee on alpha to solve bug #9317

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- gzip man page

* Tue Jan 04 2000 Elliot Lee <sopwith@redhat.com>
- Update to 2.0.6a

* Fri Sep 3 1999 Elliot Lee <sopwith@redhat.com>
- Upgrade to the full 2.0.4 release. (Yes, pre1 fixed that bug.)

* Wed Sep 1 1999 Elliot Lee <sopwith@redhat.com>
- Try 2.0.4pre1 to see if it fixes bug #4700.

* Thu Jul  8 1999 Michael Fulbright <drmike@redhat.com>
- version 2.0.3

* Wed Jul  7 1999 Michael Fulbright <drmike@redhat.com>
- bumped to version 2.0.2

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- version 1.13

* Tue Mar 30 1999 Michael Fulbright <drmike@redhat.com>
- patch to fix a segfault reported by Chris Evans <chris@ferret.lmh.ox.ac.uk>

* Tue Feb 16 1999 Michael Fulbright <drmike@redhat.com>
- version 1.12

* Wed Feb 10 1999 Michael Fulbright <drmike@redhat.com>
- first attempt at spec file
